compNorm {nnNorm} | R Documentation

## Compares the distribution of several data sets

### Description

This function was concieved to easily compare several normalization methods in terms of variability of log-ratios, M. Basically it produces two plots: The first is a the density plot of the several matrices passed as arguments, while the second is a box plot. Median of absolute deviations for each method is printed on screen.

### Usage

    compNorm(x,...,bw="AUTO",xlim=c(-3,3),titles="AUTO",type="d")

### Arguments

`x` | A matrix of numerical values, e.q. the M values of a data set: `maM(swirl)`.
`...` | An undefined number of objects similar with `x`.
`bw` | Band width required to compute the density distribution. `"AUTO"` will adjust `bw` to a suitable value.
`xlim` | The range for abscissa of the density plots.
`titles` | Names to be displayed the charts legend. `"AUTO"` will use the matrices names passed as arguments. .
`type` | If set to `"d"`, density plot will be shown; if set to `"d"` box plot will be shown.

### Details

This function is used to compare the normalized log ratios M obtained with several normalization methods.

### Value

NULL, this function only displays charts and prints on the screen some statistics.

### Author(s)

Tarca, A.L.

### References

A. L. Tarca, J. E. K. Cooke, and J. Mackay. Robust neural networks approach for spatial and intensity dependent normalization of cDNA data. Bioinformatics. 2004,submitted.

### See Also

`maNormNN`

### Examples

     # Normalize swirl data with two methods
     data(swirl)
     swirlNN<-maNormNN(swirl[,1])
     swirlLoess<-maNormMain(swirl[,1])
     nms<-c("None","Loess","NNets")
     #compare distributions: density plot
     compNorm(maM(swirl[,1]),maM(swirlLoess),maM(swirlNN),xlim=c(- 2,2),bw="AUTO",titles=nms,type="d")
     #compare distributions: box plot
     compNorm(maM(swirl[,1]),maM(swirlLoess),maM(swirlNN),xlim=c(- 2,2),bw="AUTO",titles=nms,type="b")

[Package nnNorm version 1.8.1 Index]